#!/usr/bin/env python

import turtle
import math

print ("disegno la casa con la X nel mezzo")
print ("senza staccare la penna dal foglio")
print ("e senza ripassare due volte lo stesso segmento")

t=turtle.Pen()
t.penup()
t.setpos(-280,+190)
t.write("casetta con croce", move=False, align="left", font=("Arial", 18, "normal"))
turtle.delay(20)

lato = 200
t.setpos((-100,-100))
turtle.title("casetta")
t.pendown()
t.pen(pensize=10)
t.left(45)
t.fd(lato * math.sqrt(2))
t.speed('slow')

t.left(135)
for j in range(4):
        t.fd(lato)
        t.lt(90)
t.right(45)
t.fd(lato * math.sqrt(2) / 2)
t.left(90)
t.fd(lato * math.sqrt(2) / 2)
t.left(90)
t.fd(lato * math.sqrt(2))

t.penup()	
t.setpos(-120,-180)
t.write("fai click per uscire", move=False, align="left", font=("Arial", 18, "normal"))
	
turtle.exitonclick()

